# Review Transaction

> This endpoint is used to manually approve or reject orders for a specified transaction.

Source: https://help.boltapp.com/api-reference/endpoints/transactions/reviewtransaction

`POST /v1/merchant/transactions/review`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.1",
    "title": "Bolt API Reference",
    "description": "Postman Collection:\n\n[![](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/9136127-55d2bde1-a248-473f-95b5-64cfd02fb445?action=collection%2Ffork&collection-url=entityId%3D9136127-55d2bde1-a248-473f-95b5-64cfd02fb445%26entityType%3Dcollection%26workspaceId%3D78beee89-4238-4c5f-bd1f-7e98978744b4#?env%5BBolt%20Sandbox%20Environment%5D=W3sia2V5IjoiYXBpX2Jhc2VfdXJsIiwidmFsdWUiOiJodHRwczovL2FwaS1zYW5kYm94LmJvbHQuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6InRrX2Jhc2UiLCJ2YWx1ZSI6Imh0dHBzOi8vc2FuZGJveC5ib2x0dGsuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6ImFwaV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggQVBJIGtleT4iLCJ0eXBlIjoic2VjcmV0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJwdWJsaXNoYWJsZV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggcHVibGlzaGFibGUga2V5PiIsInR5cGUiOiJkZWZhdWx0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJkaXZpc2lvbl9pZCIsInZhbHVlIjoiPHJlcGxhY2Ugd2l0aCB5b3VyIEJvbHQgU2FuZGJveCBwdWJsaWMgZGl2aXNpb24gSUQ+IiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfV0=)\n\n## About\n A comprehensive Bolt API reference for interacting with Transactions, Orders, Product Catalog, Configuration, Testing, and much more.\n\n Note: You must also reference the [Merchant Callback API](/api-merchant) when building a managed checkout custom cart integration\n"
  },
  "servers": [
    {
      "url": "https://api.boltapp.com",
      "description": "The Production URL (Live Data)."
    },
    {
      "url": "https://api-sandbox.boltapp.com",
      "description": "The Sandbox URL (Test Data)."
    },
    {
      "url": "https://api-staging.boltapp.com",
      "description": "The Staging URL (Staged Data)."
    }
  ],
  "security": [
    {
      "X-API-Key": []
    },
    {
      "OAuth": [
        "bolt.account.manage",
        "bolt.account.view"
      ]
    }
  ],
  "paths": {
    "/v1/merchant/transactions/review": {
      "post": {
        "description": "This endpoint is used to manually approve or reject orders for a specified transaction.",
        "operationId": "reviewTransaction",
        "parameters": [
          {
            "$ref": "#/components/parameters/idempotency_key"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/merchant_credit_card_review"
              }
            }
          },
          "description": "Review a Transaction"
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/transaction_details_view"
                }
              }
            },
            "description": "Transaction Details Received"
          },
          "403": {
            "$ref": "#/components/responses/transaction_review_error_403"
          },
          "404": {
            "$ref": "#/components/responses/transaction_review_error_404"
          },
          "422": {
            "$ref": "#/components/responses/transaction_review_error_422"
          }
        },
        "security": [
          {
            "X-API-Key": []
          }
        ],
        "summary": "Review Transaction",
        "tags": [
          "Transactions"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "idempotency_key": {
        "description": "A key created by merchants that ensures `POST` and `PATCH` requests are only performed once. [Read more about Idempotent Requests here](/developers/references/idempotency/).",
        "in": "header",
        "name": "Idempotency-Key",
        "required": false,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "merchant_credit_card_review": {
        "properties": {
          "decision": {
            "enum": [
              "approve",
              "reject"
            ],
            "type": "string"
          },
          "transaction_reference": {
            "$ref": "#/components/schemas/transaction_reference"
          }
        },
        "required": [
          "decision",
          "transaction_reference"
        ],
        "type": "object"
      },
      "transaction_reference": {
        "description": "The transaction's 12-digit Bolt reference ID. **Nullable** for Transactions Details.",
        "maxLength": 12,
        "minLength": 12,
        "type": "string",
        "examples": [
          "LBLJ-TWW7-R9VC"
        ]
      },
      "transaction_details_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/transaction_view"
          },
          {
            "properties": {
              "address_change_request_metadata": {
                "$ref": "#/components/schemas/address_change_request_metadata_view"
              },
              "adjust_transactions": {
                "items": {
                  "$ref": "#/components/schemas/transaction_view"
                },
                "type": "array"
              },
              "auth_verification_status": {
                "enum": [
                  "",
                  "new"
                ],
                "type": "string",
                "examples": [
                  "new"
                ]
              },
              "authorization_id": {
                "type": "string"
              },
              "chargeback_details": {
                "$ref": "#/components/schemas/chargeback_details_view"
              },
              "custom_fields": {
                "items": {
                  "$ref": "#/components/schemas/custom_field_full_response_view"
                },
                "type": "array"
              },
              "customer_list_status": {
                "$ref": "#/components/schemas/customer_list_status"
              },
              "manual_disputes": {
                "items": {
                  "$ref": "#/components/schemas/manual_dispute_view"
                },
                "type": "array"
              },
              "order": {
                "$ref": "#/components/schemas/order_view"
              },
              "refund_transaction_ids": {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              "refund_transactions": {
                "$ref": "#/components/schemas/refund_transactions_view"
              },
              "refunded_amount": {
                "$ref": "#/components/schemas/amount_view"
              },
              "source_transaction": {
                "$ref": "#/components/schemas/transaction_view"
              },
              "timeline": {
                "items": {
                  "$ref": "#/components/schemas/transaction_timeline_view"
                },
                "type": "array"
              },
              "transaction_rejection_details": {
                "properties": {
                  "auth_rejection_details": {
                    "$ref": "#/components/schemas/auth_rejection_details_view"
                  }
                },
                "type": "object"
              },
              "void_cause": {
                "description": "Determines why the transaction was voided.",
                "enum": [
                  "merchant_action",
                  "shopify_sync",
                  "paypal_sync",
                  "amazon_pay_sync",
                  "irreversible_reject",
                  "auth_expire",
                  "auth_verification_expired",
                  "payment_method_updater"
                ],
                "type": "string",
                "examples": [
                  "irreversible_reject"
                ]
              }
            },
            "type": "object"
          }
        ]
      },
      "transaction_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "authorization": {
            "$ref": "#/components/schemas/credit_card_authorization_view"
          },
          "capture": {
            "$ref": "#/components/schemas/capture_view"
          },
          "captures": {
            "items": {
              "$ref": "#/components/schemas/credit_card_capture_view"
            },
            "type": "array"
          },
          "credit": {
            "$ref": "#/components/schemas/credit_card_credit_view"
          },
          "date": {
            "$ref": "#/components/schemas/transaction_date"
          },
          "from_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "from_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "indemnification_decision": {
            "$ref": "#/components/schemas/transaction_indemnification_decision"
          },
          "indemnification_reason": {
            "$ref": "#/components/schemas/transaction_indemnification_reason"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "last_viewed_utc": {
            "format": "int64",
            "type": "number"
          },
          "merchant_division": {
            "$ref": "#/components/schemas/merchant_division_summary_view"
          },
          "merchant_order_number": {
            "type": "string"
          },
          "order_decision": {
            "$ref": "#/components/schemas/order_decision_details_view"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "reference": {
            "$ref": "#/components/schemas/transaction_reference"
          },
          "review_ticket": {
            "$ref": "#/components/schemas/review_ticket_view"
          },
          "risk_insights": {
            "$ref": "#/components/schemas/risk_model_external_result_view"
          },
          "risk_review_status": {
            "$ref": "#/components/schemas/risk_review_status"
          },
          "risk_score": {
            "format": "int64",
            "type": "integer"
          },
          "splits": {
            "items": {
              "$ref": "#/components/schemas/transaction_splits_view"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "to_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "to_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "transaction_properties": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "type": {
            "$ref": "#/components/schemas/transaction_type"
          },
          "void": {
            "$ref": "#/components/schemas/credit_card_void_view"
          },
          "view_status": {
            "enum": [
              "not_viewed",
              "viewed",
              "viewing"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "amount_view": {
        "properties": {
          "amount": {
            "format": "int64",
            "type": "number",
            "examples": [
              754
            ]
          },
          "currency": {
            "type": "string",
            "examples": [
              "USD"
            ]
          },
          "currency_symbol": {
            "type": "string",
            "examples": [
              "$"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_authorization_view": {
        "properties": {
          "auth": {
            "type": "string"
          },
          "avs_response": {
            "enum": [
              "00",
              "01",
              "02",
              "10",
              "11",
              "12",
              "13",
              "14",
              "20",
              "30",
              "31",
              "32",
              "33",
              "34",
              "40",
              "adyen_",
              "adyen_A",
              "adyen_N",
              "adyen_U",
              "adyen_S",
              "adyen_R",
              "adyen_W",
              "adyen_T",
              "adyen_Z",
              "adyen_D",
              "adyen_F",
              "adyen_M",
              "adyen_X",
              "adyen_Y",
              "adyen_B",
              "adyen_P",
              "adyen_C",
              "adyen_G",
              "adyen_I",
              "adyen_K"
            ],
            "type": "string"
          },
          "cvv_response": {
            "enum": [
              "M",
              "N",
              "P",
              "S",
              "U",
              "D",
              "X",
              "Y",
              "1",
              "2",
              "3",
              "pass",
              "fail",
              "unavailable",
              "unchecked",
              "braintree_M",
              "braintree_N",
              "braintree_U",
              "braintree_B",
              "braintree_A",
              "braintree_I",
              "braintree_S",
              "CVV2"
            ],
            "type": "string"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "processor": {
            "enum": [
              "vantiv",
              "adyen_payfac",
              "adyen_gateway",
              "stripe",
              "braintree",
              "cybersource",
              "nmi",
              "authorize_net",
              "radial",
              "shopify_payments",
              "rocketgate"
            ],
            "type": "string"
          },
          "reason": {
            "$ref": "#/components/schemas/credit_card_authorization_reason"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_authorization_status"
          }
        },
        "type": "object"
      },
      "transaction_merchant_event_id": {
        "description": "The reference ID associated with a transaction event (auth, capture, refund, void). This is an arbitrary identifier created by the merchant. Bolt does not enforce any uniqueness constraints on this ID. It is up to the merchant to generate identifiers that properly fulfill its needs.",
        "type": "string",
        "examples": [
          "dbe0cd5d-3261-41d9-ba61-49e5b9d07567"
        ]
      },
      "credit_card_authorization_reason": {
        "description": "The reason code explaining the authorization status.\n  * `1` - none\n  * `2` - invalid_amount\n  * `3` - invalid_cvv\n  * `4` - invalid_cc_number\n  * `5` - expired\n  * `6` - risk\n  * `7` - lost_stolen\n  * `8` - call_issuer\n  * `9` - invalid_merchant_for_card\n  * `10` - unsupported_payment_method\n",
        "enum": [
          "none",
          "invalid_amount",
          "invalid_cvv",
          "invalid_cc_number",
          "expired",
          "risk",
          "lost_stolen",
          "call_issuer",
          "invalid_merchant_for_card",
          "unsupported_payment_method",
          "processor_server_error"
        ],
        "type": "string"
      },
      "credit_card_authorization_status": {
        "description": "The status of the authorization request.\n  * `1` - succeeded\n  * `2` - declined\n  * `3` - error\n",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "capture_view": {
        "description": "Deprecated. Use `captures`.",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "description": "Additional information about the capture. For example, the processor capture ID. **Nullable** for Transactions Details.",
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "splits": {
            "description": "A split of fees by type and amount. **Nullable** for Transactions Details.",
            "items": {
              "description": "A split of fees by type and amount.",
              "properties": {
                "amount": {
                  "$ref": "#/components/schemas/amount_view"
                },
                "type": {
                  "description": "Fee type options. **Nullable** for Transactions Details.\n",
                  "enum": [
                    "net",
                    "processing_fee",
                    "risk_fee",
                    "apm_fee",
                    "network_fee",
                    "platform_fee",
                    "bolt_account_fee"
                  ],
                  "type": "string",
                  "examples": [
                    "processing_fee"
                  ]
                }
              },
              "type": "object"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "capture_id": {
        "description": "The unique ID for the capture. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "BcDE4fafd2a4"
        ]
      },
      "capture_status": {
        "description": "The status of the capture. **Nullable** for Transactions Details.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "credit_card_capture_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "splits": {
            "$ref": "#/components/schemas/transaction_splits_view"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "transaction_splits_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "type": {
            "enum": [
              "net",
              "processing_fee",
              "float",
              "reserve",
              "adjustment",
              "bolt_fee"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_credit_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/credit_card_credit_status"
          },
          {
            "properties": {
              "merchant_event_id": {
                "$ref": "#/components/schemas/transaction_merchant_event_id"
              }
            }
          }
        ]
      },
      "credit_card_credit_status": {
        "properties": {
          "status": {
            "description": "The status of the refund to a card.",
            "enum": [
              "succeeded",
              "declined",
              "error",
              "pending",
              "in progress"
            ],
            "type": "string",
            "examples": [
              "succeeded"
            ]
          }
        },
        "type": "object"
      },
      "transaction_date": {
        "description": "Transaction date. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1615407159447
        ]
      },
      "consumer_self_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/consumer_summary_view"
          },
          {
            "properties": {
              "authentication": {
                "$ref": "#/components/schemas/login_view"
              },
              "email_verified": {
                "type": "boolean"
              },
              "emails": {
                "items": {
                  "$ref": "#/components/schemas/email_view"
                },
                "type": "array"
              },
              "first_name": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "last_name": {
                "type": "string"
              },
              "phones": {
                "items": {
                  "$ref": "#/components/schemas/phone_view"
                },
                "type": "array"
              },
              "platform_account_status": {
                "enum": [
                  "none",
                  "linked",
                  "unlinked"
                ],
                "type": "string"
              }
            },
            "type": "object"
          }
        ]
      },
      "consumer_summary_view": {
        "properties": {
          "first_name": {
            "description": "The given name of the person associated with this record.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this record.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          }
        },
        "type": "object"
      },
      "login_view": {
        "properties": {
          "actions": {
            "items": {
              "enum": [
                "set_password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "methods": {
            "items": {
              "enum": [
                "code",
                "code_password",
                "password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "sso_authorization_url": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "email_view": {
        "properties": {
          "address": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "priority": {
        "description": "Describes the card's priority.\n",
        "enum": [
          "primary",
          "listed"
        ],
        "type": "string",
        "examples": [
          "primary"
        ]
      },
      "phone_view": {
        "properties": {
          "country_code": {
            "description": "Used for the 2-digit ISO 3166-1 alpha 2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "id": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "priority": {
            "enum": [
              "primary",
              "listed"
            ],
            "type": "string"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_view": {
        "description": "Contains details about the credit card transaction.",
        "properties": {
          "billing_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "bin": {
            "$ref": "#/components/schemas/card_bin"
          },
          "display_network": {
            "$ref": "#/components/schemas/card_display_network"
          },
          "expiration": {
            "$ref": "#/components/schemas/card_expiration"
          },
          "icon_asset_path": {
            "$ref": "#/components/schemas/icon_asset_path"
          },
          "id": {
            "$ref": "#/components/schemas/card_id"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "network": {
            "$ref": "#/components/schemas/card_network"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "$ref": "#/components/schemas/card_status"
          },
          "token": {
            "$ref": "#/components/schemas/card_token"
          },
          "token_type": {
            "$ref": "#/components/schemas/card_token_type"
          }
        },
        "type": "object"
      },
      "address_view": {
        "description": "The address object returned in the response.",
        "properties": {
          "company": {
            "description": "The company name associated with this address.",
            "type": "string",
            "examples": [
              "Bolt"
            ]
          },
          "country": {
            "description": "The name of the country associated with this address.",
            "type": "string",
            "examples": [
              "United States"
            ]
          },
          "country_code": {
            "description": "The ISO 3166-1 alpha-2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "door_code": {
            "$ref": "#/components/schemas/door_code"
          },
          "email_address": {
            "description": "The email address associated with this address.",
            "$ref": "#/components/schemas/email"
          },
          "first_name": {
            "description": "The given name of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "description": "The unique Bolt ID associated with this address.",
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          },
          "locality": {
            "description": "The city name details associated with this address.",
            "type": "string",
            "examples": [
              "Brooklyn"
            ]
          },
          "name": {
            "description": "The given and surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan Watts"
            ]
          },
          "phone_number": {
            "description": "The phone number associated with this address.",
            "$ref": "#/components/schemas/phone"
          },
          "postal_code": {
            "description": "The postal or zip code associated with this address.",
            "maxLength": 32,
            "type": "string",
            "examples": [
              "10044"
            ]
          },
          "priority": {
            "description": "The shopper-indicated priority of this address compared to other addresses on their account.",
            "type": [
              "string",
              "null"
            ],
            "enum": [
              "primary",
              "listed"
            ],
            "examples": [
              "primary"
            ]
          },
          "region": {
            "description": "The region details such as state or province associated with this address.",
            "type": "string",
            "examples": [
              "NY"
            ]
          },
          "region_code": {
            "description": "The the ISO 3166-2 region code associated with this address.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "NY"
            ]
          },
          "street_address1": {
            "description": "The street number and street name of the address.",
            "type": "string",
            "examples": [
              "888 main street"
            ]
          },
          "street_address2": {
            "description": "Any apartment, floor, or unit details.",
            "type": "string",
            "examples": [
              "apt 3021"
            ]
          },
          "street_address3": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "c/o Alicia Watts"
            ]
          },
          "street_address4": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bridge Street Apartment Building B"
            ]
          }
        },
        "type": "object"
      },
      "door_code": {
        "description": "The building door code or community gate code.",
        "maxLength": 1024,
        "type": [
          "string",
          "null"
        ],
        "examples": [
          "123456"
        ]
      },
      "email": {
        "description": "An email address.",
        "format": "email",
        "type": "string",
        "maxLength": 255,
        "examples": [
          "alan.watts@example.com"
        ]
      },
      "phone": {
        "description": "A phone number following E164 standards, in its globalized format, i.e. prepended with a plus sign.",
        "maxLength": 16,
        "type": "string",
        "examples": [
          "+12125550199"
        ]
      },
      "card_bin": {
        "description": "The Bank Identification Number for the credit card; this is typically the first 4-6 digits of the credit card number. **Nullable** for Transactions Details.",
        "maxLength": 6,
        "minLength": 4,
        "type": "string",
        "examples": [
          "402201"
        ]
      },
      "card_display_network": {
        "description": "The card's network. **Nullable** for Transactions Details.",
        "enum": [
          "Credit Card",
          "American Express",
          "Diners Club",
          "Discover",
          "JCB",
          "MasterCard",
          "Union Pay",
          "Visa"
        ],
        "type": "string",
        "examples": [
          "Visa"
        ]
      },
      "card_expiration": {
        "description": "The card's expiration. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1654041600000
        ]
      },
      "icon_asset_path": {
        "description": "The asset link for displayed icons. This link varies depending on payment method used.  **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "img/issuer-logos/visa.png"
        ]
      },
      "card_id": {
        "description": "The card's ID. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "AB3rJKam5DhYE"
        ]
      },
      "card_last4": {
        "description": "The card's last 4 digits. **Nullable** for Transactions Details.",
        "maxLength": 4,
        "minLength": 4,
        "type": "string",
        "examples": [
          "4021"
        ]
      },
      "card_network": {
        "description": "The card's network code. **Nullable** for Transactions Details. Note: LEGACY diners_club_us_ca now tagged as mastercard\n",
        "enum": [
          "visa",
          "mastercard",
          "amex",
          "discover",
          "dinersclub",
          "jcb",
          "unionpay",
          "alliancedata",
          "citiplcc",
          "unknown"
        ],
        "type": "string",
        "examples": [
          "visa"
        ]
      },
      "card_status": {
        "description": "The card's status. **Nullable** for Transactions Details.",
        "enum": [
          "active",
          "created",
          "inactive",
          "transient"
        ],
        "type": "string",
        "examples": [
          "active"
        ]
      },
      "card_token": {
        "description": "The Bolt token associated to the credit card. Required for new, unsaved cards.",
        "type": "string",
        "examples": [
          "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0"
        ]
      },
      "card_token_type": {
        "description": "Used to define which payment processor generated the token for this credit card.\n",
        "enum": [
          "vantiv",
          "applepay",
          "bolt",
          "stripe",
          "plcc",
          "applepay_encrypted_blob"
        ],
        "type": "string",
        "examples": [
          "bolt"
        ]
      },
      "transaction_id": {
        "description": "The unique ID associated with the transaction. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "T1c3p4yBuVYJ9"
        ]
      },
      "transaction_indemnification_decision": {
        "description": "Describes whether the transaction is indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "indemnified",
          "not_indemnified"
        ],
        "type": "string",
        "examples": [
          "indemnified"
        ]
      },
      "transaction_indemnification_reason": {
        "description": "Describes the reason that the transaction is or is not indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "checkout",
          "virtual_terminal",
          "merchant_back_office",
          "merchant_force_approved",
          "reversibly_rejected",
          "irreversibly_rejected",
          "risk_engine_approved",
          "analyst_approved",
          "auth_verification",
          "paypal",
          "afterpay",
          "direct_payments",
          "whitelist",
          "external_review",
          "affirm",
          "merchant_ip_address",
          "amazon_pay",
          "apple_pay",
          "phone_order",
          "klarna",
          "cardholder_authentication",
          "address_change_rejected",
          "indemnify_direct_payments",
          "indemnify_virtual_terminal",
          "membership_subscription",
          "embedded_guest_checkout",
          "risk_assessment_only",
          "sezzle",
          "credova",
          "subscription",
          "indemnify_apm_transaction"
        ],
        "type": "string",
        "examples": [
          "merchant_force_approved"
        ]
      },
      "merchant_division_summary_view": {
        "properties": {
          "account_page_url": {
            "type": "string"
          },
          "api_base_domain_url": {
            "type": "string"
          },
          "base_domain_url": {
            "type": "string"
          },
          "confirmation_redirect_url": {
            "type": "string"
          },
          "create_order_url": {
            "type": "string"
          },
          "debug_url": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "get_account_url": {
            "type": "string"
          },
          "shopper_custom_fields_updated_url": {
            "type": "string"
          },
          "hook_type": {
            "enum": [
              "1",
              "2",
              "3",
              "4",
              "5",
              "6"
            ],
            "type": "string"
          },
          "hook_url": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "is_universal_merchant_api": {
            "type": "boolean"
          },
          "is_webhooks_v2": {
            "type": "boolean"
          },
          "logo": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "logo_dashboard": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "merchant_id": {
            "type": "string"
          },
          "mobile_app_domain_url": {
            "type": "string"
          },
          "oauth_logout_url": {
            "type": "string"
          },
          "oauth_redirect_url": {
            "type": "string"
          },
          "platform": {
            "type": "string"
          },
          "plugin_config_url": {
            "type": "string"
          },
          "privacy_policy_url": {
            "type": "string"
          },
          "product_info_url": {
            "type": "string"
          },
          "public_id": {
            "type": "string"
          },
          "remote_apiurl": {
            "type": "string"
          },
          "shipping_and_tax_url": {
            "type": "string"
          },
          "shipping_url": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "tax_url": {
            "type": "string"
          },
          "terms_of_service_url": {
            "type": "string"
          },
          "universal_merchant_api_url": {
            "type": "string"
          },
          "update_cart_url": {
            "type": "string"
          },
          "use_async_refunds_amazon_pay": {
            "type": "boolean"
          },
          "use_async_refunds_paypal": {
            "type": "boolean"
          },
          "validate_additional_account_data_url": {
            "type": "string"
          },
          "merchant_password_login_url": {
            "description": "(Optional) Link shoppers can use to log into a merchant store via the Bolt SSO modal.",
            "type": "string",
            "examples": [
              "https://www.example.com/login"
            ]
          }
        },
        "type": "object"
      },
      "merchant_division_logo_view": {
        "properties": {
          "domain": {
            "type": "string"
          },
          "resource": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "order_decision_details_view": {
        "properties": {
          "decision_factors": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "score": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "transaction_processor": {
        "description": "The processor used. **Nullable** for Transactions Details.",
        "enum": [
          "adyen_gateway",
          "adyen_payfac",
          "affirm",
          "afterpay",
          "alliance_data",
          "amazon_pay",
          "authorize_net",
          "braintree",
          "checkout_com",
          "cybersource",
          "first_data",
          "klarna",
          "nmi",
          "orbital",
          "paypal",
          "radial",
          "radial_klarna",
          "radial_paypal",
          "rocketgate",
          "sezzle",
          "shopify_payments",
          "stripe",
          "vantiv"
        ],
        "type": "string",
        "examples": [
          "adyen_gateway"
        ]
      },
      "review_ticket_view": {
        "properties": {
          "id": {
            "type": "string"
          },
          "request_deadline": {
            "format": "int64",
            "type": "number"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "risk_model_external_result_view": {
        "properties": {
          "available": {
            "type": "boolean"
          },
          "decision_factors": {
            "description": "Used to list a total of up to 5 decision factors used by the risk model to determine the risk analysis result.",
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "fraud_probability": {
            "format": "int",
            "type": "number"
          },
          "payment_instrument_factors": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "factor1": "factor1",
                  "factor2": "factor2"
                }
              ]
            },
            "type": "object"
          }
        },
        "type": "object"
      },
      "risk_review_status": {
        "description": "Describes the current Risk Review status. A transaction could be unreviewed, reviewed, or pending manual review by the Bolt team.",
        "enum": [
          "unknown",
          "needs_review",
          "reviewed"
        ],
        "type": "string",
        "examples": [
          "reviewed"
        ]
      },
      "transaction_status": {
        "description": "The transaction's status.",
        "enum": [
          "in_progress",
          "completed",
          "cancelled",
          "failed",
          "pending",
          "created",
          "authorized",
          "rejected_reversible",
          "rejected_irreversible"
        ],
        "type": "string",
        "examples": [
          "cancelled"
        ]
      },
      "transaction_type": {
        "description": "The type of transaction.",
        "enum": [
          "cc_payment",
          "cc_credit",
          "funding_transfer",
          "processing_fee_transfer",
          "reserve_transfer",
          "float_transfer",
          "merchant_credit",
          "merchant_debit",
          "funding_withdrawal",
          "processing_fee_withdrawal",
          "zero_amount",
          "bolt_fee_transfer",
          "bolt_fee_withdrawal",
          "bank_account_verification",
          "authorization_verification",
          "paypal_payment",
          "paypal_refund",
          "apm_payment",
          "apm_refund",
          "zero_amount_verification"
        ],
        "type": "string",
        "examples": [
          "cc_payment"
        ]
      },
      "credit_card_void_view": {
        "properties": {
          "cause": {
            "$ref": "#/components/schemas/credit_card_void_cause"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_void_status"
          },
          "void": {
            "description": "The void ID returned from the payment processor.",
            "type": "string",
            "examples": [
              "123456"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_void_cause": {
        "description": "Specifies why this particular transaction is voided.",
        "enum": [
          "merchant_action",
          "paypal_sync",
          "amazon_pay_sync",
          "irreversible_reject",
          "auth_expire",
          "auth_verification_expired",
          "payment_method_updater",
          null
        ],
        "type": "string"
      },
      "credit_card_void_status": {
        "description": "The status of the void request.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "address_change_request_metadata_view": {
        "properties": {
          "can_change_shipping_address": {
            "type": "boolean"
          },
          "id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "ticket_id": {
            "type": "string"
          },
          "ticket_status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "chargeback_details_view": {
        "properties": {
          "amt_won": {
            "allOf": [
              {
                "$ref": "#/components/schemas/amount_view"
              },
              {
                "description": "The total representment amount IF the merchant won the chargeback case."
              }
            ]
          },
          "chargeback_amt": {
            "allOf": [
              {
                "$ref": "#/components/schemas/amount_view"
              },
              {
                "description": "The total amount of dispute debits and credits related to this chargeback case."
              }
            ]
          },
          "chargeback_fee": {
            "allOf": [
              {
                "$ref": "#/components/schemas/amount_view"
              },
              {
                "description": "The total amount of dispute fee debits and credits related to this chargeback case."
              }
            ]
          },
          "chargeback_id": {
            "type": "string"
          },
          "event_views": {
            "items": {
              "$ref": "#/components/schemas/chargeback_event_view"
            },
            "type": "array"
          },
          "net_amt": {
            "allOf": [
              {
                "$ref": "#/components/schemas/amount_view"
              },
              {
                "description": "The total sum of the fields `chargeback_amt` and `chargeback_fee`."
              }
            ]
          },
          "reason": {
            "type": "string"
          },
          "reason_code": {
            "type": "string"
          },
          "representment_reply_by_date": {
            "description": "The reply-by date of the dispute in UnixMillis format.",
            "format": "int64",
            "type": "number"
          },
          "representment_result": {
            "enum": [
              "none",
              "open",
              "lost",
              "won"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "chargeback_event_view": {
        "properties": {
          "content": {
            "type": "string"
          },
          "time": {
            "type": "number"
          }
        },
        "type": "object"
      },
      "custom_field_full_response_view": {
        "properties": {
          "field": {
            "$ref": "#/components/schemas/custom_field_view"
          },
          "response": {
            "$ref": "#/components/schemas/custom_field_response_view"
          }
        },
        "type": "object"
      },
      "custom_field_view": {
        "properties": {
          "checkout_step": {
            "enum": [
              "SHIPPING_STEP",
              "DELIVERY_STEP",
              "PAYMENT_STEP",
              "ACCOUNT_REGISTRATION_SSO"
            ],
            "type": "string"
          },
          "dynamic": {
            "type": "boolean"
          },
          "context": {
            "enum": [
              "CHECKOUT",
              "SSO"
            ],
            "type": "string"
          },
          "external_id": {
            "type": "string"
          },
          "field_setup": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "position": {
            "format": "int64",
            "type": "number"
          },
          "public_id": {
            "type": "string"
          },
          "required": {
            "type": "boolean"
          },
          "subscribeToNewsletter": {
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "custom_field_response_view": {
        "properties": {
          "response": {
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "boolean"
              }
            ]
          }
        },
        "type": "object"
      },
      "customer_list_status": {
        "properties": {
          "auto_approved": {
            "type": "boolean"
          },
          "block_listed": {
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "manual_dispute_view": {
        "properties": {
          "amount": {
            "format": "int64",
            "type": "number"
          },
          "currency": {
            "type": "string",
            "examples": [
              "USD"
            ]
          },
          "delivery_evidence": {
            "type": "string"
          },
          "delivery_link": {
            "type": "string"
          },
          "dispute_evidence": {
            "type": "string"
          },
          "dispute_link": {
            "type": "string"
          },
          "other_evidence": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "other_link": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "reason": {
            "type": "string"
          },
          "status": {
            "enum": [
              "pending",
              "approved",
              "denied"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "order_view": {
        "properties": {
          "cart": {
            "$ref": "#/components/schemas/cart_view"
          },
          "dynamic_content": {
            "$ref": "#/components/schemas/i_order_dynamic_content"
          },
          "external_data": {
            "$ref": "#/components/schemas/order_external_data_view"
          },
          "platform_user_id": {
            "type": "string"
          },
          "requires_action": {
            "type": "string"
          },
          "token": {
            "type": "string"
          },
          "user_note": {
            "description": "Used by shoppers to make extra requests or provide details for gift messages.",
            "type": "string"
          }
        },
        "type": "object"
      },
      "cart_view": {
        "description": "This is the cart object returned in a successful response.",
        "properties": {
          "billing_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "cart_url": {
            "description": "Used to provide a link to the cart ID.",
            "maxLength": 8192,
            "type": "string",
            "examples": [
              "https://boltswagstore.com/orders/123456765432"
            ]
          },
          "currency": {
            "$ref": "#/components/schemas/i_currency"
          },
          "discount_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "discounts": {
            "items": {
              "$ref": "#/components/schemas/i_cart_discount_view"
            },
            "type": "array"
          },
          "display_id": {
            "type": "string",
            "examples": [
              "displayid_100"
            ]
          },
          "fee_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "fees": {
            "items": {
              "$ref": "#/components/schemas/i_cart_item_view"
            },
            "type": "array"
          },
          "fulfillments": {
            "items": {
              "$ref": "#/components/schemas/fulfillment_view"
            },
            "type": "array"
          },
          "in_store_shipments": {
            "$ref": "#/components/schemas/in_store_shipment2"
          },
          "items": {
            "items": {
              "$ref": "#/components/schemas/i_cart_item_view"
            },
            "type": "array"
          },
          "loyalty_rewards": {
            "items": {
              "$ref": "#/components/schemas/cart_loyalty_rewards_view"
            },
            "type": "array"
          },
          "loyalty_rewards_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "merchant_order_url": {
            "type": "string"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "msrp": {
            "$ref": "#/components/schemas/amount_view"
          },
          "order_description": {
            "description": "Used optionally to pass additional information like order numbers or other IDs as needed.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "Order #1234567890"
            ]
          },
          "order_reference": {
            "description": "This value is used by Bolt as an external reference to a given order. This reference must be unique per successful transaction.",
            "type": "string",
            "examples": [
              "order_100"
            ]
          },
          "shipments": {
            "items": {
              "$ref": "#/components/schemas/i_cart_shipment_view"
            },
            "type": "array"
          },
          "shipping_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "subtotal_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "total_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "transaction_reference": {
            "description": "The 12 digit reference ID associated to a given transaction webhook for an order.",
            "maxLength": 12,
            "minLength": 12,
            "type": "string",
            "examples": [
              "6CEA-ZME1-DACE"
            ]
          }
        },
        "type": "object"
      },
      "i_currency": {
        "properties": {
          "currency": {
            "type": "string",
            "examples": [
              "USD"
            ]
          },
          "currency_symbol": {
            "type": "string",
            "examples": [
              "$"
            ]
          }
        },
        "type": "object"
      },
      "i_cart_discount_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "code": {
            "description": "Discount code used.",
            "type": "string",
            "examples": [
              "SUMMER10"
            ]
          },
          "description": {
            "description": "Used to define the discount offering.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "10% off our summer collection"
            ]
          },
          "details_url": {
            "description": "Used to provide a link to additional details, such as a landing page, associated with the discount offering.",
            "type": "string",
            "examples": [
              "https://boltswagstore.com/SUMMERSALE"
            ]
          },
          "discount_category": {
            "enum": [
              "coupon",
              "giftcard",
              "managed_giftcard",
              "store_credit",
              "automatic_promotion",
              "membership_discount",
              "membership_giftcard",
              "subscription_discount",
              "rewards_discount",
              "shipping_discount",
              "unknown"
            ],
            "type": "string"
          },
          "free_shipping": {
            "$ref": "#/components/schemas/i_free_shipping_discount_view"
          },
          "reference": {
            "description": "Used to define the reference ID associated with the discount available.",
            "type": "string",
            "examples": [
              "DISC-1234"
            ]
          }
        },
        "type": "object"
      },
      "i_free_shipping_discount_view": {
        "properties": {
          "is_free_shipping": {
            "type": "boolean"
          },
          "maximum_cost_allowed": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "i_cart_item_view": {
        "properties": {
          "bolt_product_id": {
            "type": "string"
          },
          "brand": {
            "type": "string"
          },
          "category": {
            "description": "Used to define a product category associated with the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "bags"
            ]
          },
          "collections": {
            "$ref": "#/components/schemas/collections"
          },
          "color": {
            "description": "Used to define the color of the item.",
            "type": "string",
            "examples": [
              "Bolt Blue"
            ]
          },
          "customizations": {
            "items": {
              "$ref": "#/components/schemas/cart_item_customization"
            },
            "type": "array"
          },
          "description": {
            "type": "string"
          },
          "details_url": {
            "description": "Used to provide a link to the item's product page.",
            "type": "string",
            "examples": [
              "https://boltswagstore.com/products/123456"
            ]
          },
          "gift_option": {
            "$ref": "#/components/schemas/gift_option_view"
          },
          "hide": {
            "type": "boolean"
          },
          "image_url": {
            "description": "Used to provide a link to the image associated with the item.",
            "type": "string",
            "examples": [
              "https://boltswagstore.com/products/123456/images/1.png"
            ]
          },
          "isbn": {
            "description": "Used to define the International Standard Book Number associated with the book.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              9780091347314
            ]
          },
          "item_group": {
            "type": "string"
          },
          "manufacturer": {
            "description": "Used to define the organization that manufactured the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bolt Textiles USA"
            ]
          },
          "merchant_product_id": {
            "type": "string"
          },
          "merchant_variant_id": {
            "type": "string"
          },
          "msrp": {
            "$ref": "#/components/schemas/amount_view"
          },
          "name": {
            "type": "string"
          },
          "options": {
            "type": "string"
          },
          "properties": {
            "items": {
              "$ref": "#/components/schemas/cart_item_property_view"
            },
            "type": "array"
          },
          "quantity": {
            "format": "int64",
            "type": "number",
            "examples": [
              1
            ]
          },
          "reference": {
            "type": "string"
          },
          "shipment_id": {
            "type": "string"
          },
          "shipment_type": {
            "enum": [
              "unknown",
              "door_delivery",
              "ship_to_store",
              "in_store_pickup",
              "ship_to_home_only"
            ],
            "type": "string"
          },
          "shopify_line_item_reference": {
            "format": "int64",
            "type": "number"
          },
          "shopify_product_reference": {
            "format": "int64",
            "type": "number"
          },
          "shopify_product_variant_reference": {
            "format": "int64",
            "type": "number"
          },
          "size": {
            "description": "Used to define the size of the item.",
            "type": "string",
            "examples": [
              "Large"
            ]
          },
          "sku": {
            "description": "Used to define an alpha-numeric Stock Keeping Unit associated with the item as it is mapped to your internal product catalogue.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "BOLT-SKU_100"
            ]
          },
          "subscription": {
            "$ref": "#/components/schemas/subscription"
          },
          "tags": {
            "description": "Used to define a comma-separated list of tags associated with the item.",
            "type": "string",
            "examples": [
              "tote, blue, linen, eco-friendly"
            ]
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "taxable": {
            "type": "boolean"
          },
          "total_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "type": {
            "enum": [
              "unknown",
              "digital",
              "physical",
              "bundled"
            ],
            "type": "string"
          },
          "unit_price": {
            "$ref": "#/components/schemas/amount_view"
          },
          "uom": {
            "description": "Used to define the unit of measure used to describe the product.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "inches"
            ]
          },
          "upc": {
            "description": "Used to define the 12-digit Universal Product Code (a barcode) associated with the item worldwide.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "0825764603119"
            ]
          },
          "weight": {
            "$ref": "#/components/schemas/i_weight"
          }
        },
        "type": "object"
      },
      "collections": {
        "items": {
          "$ref": "#/components/schemas/collection"
        },
        "type": "array"
      },
      "collection": {
        "type": "string",
        "examples": [
          "summer"
        ]
      },
      "cart_item_customization": {
        "properties": {
          "attributes": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object",
            "examples": [
              {
                "key1": "value1",
                "key2": "value2"
              }
            ]
          },
          "name": {
            "type": "string"
          },
          "price": {
            "format": "int64",
            "type": "number",
            "examples": [
              754
            ]
          }
        },
        "type": "object"
      },
      "gift_option_view": {
        "description": "Defines which gift options are hidden.",
        "properties": {
          "hide_gift_message": {
            "type": "boolean",
            "examples": [
              false
            ]
          },
          "hide_gift_wrap": {
            "type": "boolean",
            "examples": [
              false
            ]
          }
        },
        "type": "object"
      },
      "cart_item_property_view": {
        "properties": {
          "color": {
            "type": "string"
          },
          "display": {
            "type": "boolean"
          },
          "name": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "subscription": {
        "description": "Describes a product added as a recurring subscription.",
        "properties": {
          "frequency": {
            "description": "Describes how often the subscription recurs.",
            "properties": {
              "unit": {
                "description": "The unit for this subscription's frequency.",
                "enum": [
                  "day",
                  "week",
                  "month",
                  "year"
                ],
                "type": "string",
                "examples": [
                  "month"
                ]
              },
              "value": {
                "description": "The value applied to the unit frequency.",
                "type": "integer",
                "examples": [
                  2
                ]
              }
            },
            "type": "object"
          }
        },
        "type": "object"
      },
      "i_weight": {
        "properties": {
          "unit": {
            "type": "string"
          },
          "weight": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "fulfillment_view": {
        "properties": {
          "cart_shipment": {
            "$ref": "#/components/schemas/i_cart_shipment_view"
          },
          "fulfillment_type": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "in_store_cart_shipment": {
            "$ref": "#/components/schemas/in_store_shipment2"
          },
          "items": {
            "items": {
              "$ref": "#/components/schemas/i_cart_item_view"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "i_cart_shipment_view": {
        "properties": {
          "carrier": {
            "description": "The carrier used to deliver the shipment.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "USPS"
            ]
          },
          "cost": {
            "$ref": "#/components/schemas/amount_view"
          },
          "default": {
            "type": "boolean"
          },
          "description": {
            "items": {
              "$ref": "#/components/schemas/i_description_part"
            },
            "type": "array"
          },
          "description_tooltips": {
            "items": {
              "$ref": "#/components/schemas/i_description_tooltip"
            },
            "type": "array"
          },
          "estimated_delivery_date": {
            "format": "date-time",
            "type": "string",
            "examples": [
              "2022-04-10 16:12:38.386000+00:00"
            ]
          },
          "expedited": {
            "description": "Used to determine whether a shipment has been expedited or not.",
            "type": "boolean"
          },
          "gift_options": {
            "$ref": "#/components/schemas/gift_option_view"
          },
          "id": {
            "type": "string"
          },
          "package_dimension": {
            "properties": {
              "depth": {
                "format": "int64",
                "type": "number"
              },
              "height": {
                "format": "int64",
                "type": "number"
              },
              "unit": {
                "type": "string"
              },
              "width": {
                "format": "int64",
                "type": "number"
              }
            },
            "type": "object"
          },
          "package_type": {
            "type": "string"
          },
          "package_weight": {
            "$ref": "#/components/schemas/i_weight"
          },
          "reference": {
            "type": "string"
          },
          "service": {
            "type": "string"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "shipping_method": {
            "type": "string"
          },
          "signature": {
            "type": "string"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "total_weight": {
            "$ref": "#/components/schemas/i_weight"
          },
          "type": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "i_description_part": {
        "properties": {
          "content": {
            "type": "string"
          },
          "is_html": {
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "i_description_tooltip": {
        "properties": {
          "html_content": {
            "type": "string"
          },
          "target": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "in_store_shipment2": {
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "address": {
            "$ref": "#/components/schemas/address_view"
          },
          "distance": {
            "type": "number",
            "examples": [
              1.2
            ]
          },
          "distance_unit": {
            "enum": [
              "mile",
              "km"
            ],
            "type": "string"
          },
          "shipment": {
            "$ref": "#/components/schemas/in_store_shipment"
          },
          "store_name": {
            "type": "string",
            "examples": [
              "My Store"
            ]
          }
        },
        "type": "object"
      },
      "in_store_shipment": {
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "carrier": {
            "$ref": "#/components/schemas/carrier"
          },
          "cost": {
            "$ref": "#/components/schemas/amounts"
          },
          "default": {
            "$ref": "#/components/schemas/default"
          },
          "estimated_delivery_date": {
            "$ref": "#/components/schemas/estimated_delivery_date"
          },
          "expedited": {
            "$ref": "#/components/schemas/expedited"
          },
          "gift_options": {
            "$ref": "#/components/schemas/gift_options"
          },
          "id": {
            "$ref": "#/components/schemas/shipping_address_id"
          },
          "package_dimension": {
            "$ref": "#/components/schemas/package_dimension"
          },
          "package_type": {
            "$ref": "#/components/schemas/package_type"
          },
          "package_weights": {
            "$ref": "#/components/schemas/package_weights"
          },
          "reference": {
            "$ref": "#/components/schemas/reference"
          },
          "service": {
            "$ref": "#/components/schemas/service"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/consumer_billing_address"
          },
          "shipping_method": {
            "$ref": "#/components/schemas/shipping_method"
          },
          "signature": {
            "$ref": "#/components/schemas/signature"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "total_weight": {
            "$ref": "#/components/schemas/total_weight"
          }
        },
        "type": "object"
      },
      "carrier": {
        "description": "The name of the carrier selected.",
        "type": "string",
        "examples": [
          "FedEx"
        ]
      },
      "amounts": {
        "description": "The amount. **Nullable** for Transactions Details.",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount"
          },
          "currency": {
            "$ref": "#/components/schemas/currency_iso"
          },
          "currency_symbol": {
            "$ref": "#/components/schemas/currency_symbol"
          }
        },
        "required": [
          "amount",
          "currency",
          "currency_symbol"
        ],
        "type": "object"
      },
      "amount": {
        "description": "The amount in cents. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          754
        ]
      },
      "currency_iso": {
        "description": "The 3-digit ISO code for the currency. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "USD"
        ]
      },
      "currency_symbol": {
        "description": "The currency symbol used for the amount. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "$"
        ]
      },
      "default": {
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "estimated_delivery_date": {
        "description": "The estimated delivery date.",
        "type": "string",
        "examples": [
          "08-30-2022"
        ]
      },
      "expedited": {
        "description": "True if shipment is expedited.",
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "gift_options": {
        "description": "Contains the gift option settings for wrapping and custom messages.",
        "properties": {
          "message": {
            "$ref": "#/components/schemas/gift_options_message"
          },
          "wrap": {
            "$ref": "#/components/schemas/gift_options_wrap"
          }
        },
        "type": "object"
      },
      "gift_options_message": {
        "description": "Includes the gift message written by the shopper.",
        "type": "string",
        "examples": [
          "Happy Anniversary, Smoochy Poo!"
        ]
      },
      "gift_options_wrap": {
        "description": "Defines whether gift wrapping was requested.",
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "shipping_address_id": {
        "description": "ID for billing address",
        "type": "string",
        "examples": [
          "address1"
        ]
      },
      "package_dimension": {
        "description": "Contains the package's width, eight, depth, and unit details.",
        "properties": {
          "depth": {
            "$ref": "#/components/schemas/depth"
          },
          "height": {
            "$ref": "#/components/schemas/height"
          },
          "unit": {
            "$ref": "#/components/schemas/dimension_unit"
          },
          "width": {
            "$ref": "#/components/schemas/width"
          }
        },
        "type": "object"
      },
      "depth": {
        "description": "The depth.",
        "type": "integer",
        "examples": [
          90
        ]
      },
      "height": {
        "description": "The height.",
        "type": "integer",
        "examples": [
          103
        ]
      },
      "dimension_unit": {
        "description": "The unit of measurement for an item's dimensions.",
        "type": "string",
        "examples": [
          "cm"
        ]
      },
      "width": {
        "description": "The width.",
        "type": "integer",
        "examples": [
          222
        ]
      },
      "package_type": {
        "description": "The type of package.",
        "type": "string",
        "examples": [
          "A big package."
        ]
      },
      "package_weights": {
        "properties": {
          "unit": {
            "$ref": "#/components/schemas/weight_unit"
          },
          "weight": {
            "$ref": "#/components/schemas/weight"
          }
        },
        "type": "object"
      },
      "weight_unit": {
        "description": "The unit of measurement for an item's weight.",
        "type": "string",
        "examples": [
          "kg"
        ]
      },
      "weight": {
        "description": "The weight of an item.",
        "type": "integer",
        "examples": [
          22
        ]
      },
      "reference": {
        "description": "Reference for the object.",
        "type": "string",
        "examples": [
          "1123"
        ]
      },
      "service": {
        "description": "The service name.",
        "type": "string",
        "examples": [
          "Option 1"
        ]
      },
      "consumer_billing_address": {
        "properties": {
          "company": {
            "$ref": "#/components/schemas/company"
          },
          "country": {
            "$ref": "#/components/schemas/country"
          },
          "country_code": {
            "$ref": "#/components/schemas/country_code"
          },
          "email_address": {
            "$ref": "#/components/schemas/email"
          },
          "first_name": {
            "$ref": "#/components/schemas/first_name"
          },
          "id": {
            "$ref": "#/components/schemas/billing_address_id"
          },
          "last_name": {
            "$ref": "#/components/schemas/last_name"
          },
          "locality": {
            "$ref": "#/components/schemas/locality"
          },
          "name": {
            "$ref": "#/components/schemas/name_person"
          },
          "phone_number": {
            "$ref": "#/components/schemas/phone"
          },
          "postal_code": {
            "$ref": "#/components/schemas/postal_code"
          },
          "region": {
            "$ref": "#/components/schemas/region"
          },
          "street_address1": {
            "$ref": "#/components/schemas/street_address"
          },
          "street_address2": {
            "$ref": "#/components/schemas/street_address"
          },
          "street_address3": {
            "$ref": "#/components/schemas/street_address"
          },
          "street_address4": {
            "$ref": "#/components/schemas/street_address"
          }
        },
        "required": [
          "street_address1",
          "locality",
          "region",
          "postal_code"
        ],
        "type": "object"
      },
      "company": {
        "description": "The company's name",
        "type": "string",
        "examples": [
          "ACME Corp."
        ]
      },
      "country": {
        "description": "The country's name.",
        "type": "string",
        "examples": [
          "Canada"
        ]
      },
      "country_code": {
        "description": "The 2-digit country code.",
        "type": "string",
        "examples": [
          "US"
        ]
      },
      "first_name": {
        "description": "The person's first name.",
        "type": "string",
        "examples": [
          "Charlotte"
        ]
      },
      "billing_address_id": {
        "description": "The unique Bolt ID associated with a previously saved billing address. Not applicable to new, unsaved addresses.",
        "type": [
          "string",
          "null"
        ],
        "examples": [
          "address-1"
        ]
      },
      "last_name": {
        "description": "The person's last name.",
        "type": "string",
        "examples": [
          "Charles"
        ]
      },
      "locality": {
        "description": "A locale such as county, district, etc.",
        "type": "string",
        "examples": [
          "Wayne County"
        ]
      },
      "name_person": {
        "description": "The first and last name together as a string.",
        "type": "string",
        "examples": [
          "Charlotte Charles"
        ]
      },
      "postal_code": {
        "description": "The postal code.",
        "type": "string",
        "examples": [
          "11209"
        ]
      },
      "region": {
        "description": "A state, province, or similar region type.",
        "type": "string",
        "examples": [
          "Quebec"
        ]
      },
      "street_address": {
        "description": "You can use up to 4 street address fields.",
        "type": "string",
        "examples": [
          "42 Wallaby Way"
        ]
      },
      "shipping_method": {
        "description": "The name of the shipping method.",
        "type": "string",
        "examples": [
          "unknown"
        ]
      },
      "signature": {
        "description": "The signature.",
        "type": "string",
        "examples": [
          "a1B2s3dC4f5g5D6hj6E7k8F9l0"
        ]
      },
      "total_weight": {
        "properties": {
          "unit": {
            "$ref": "#/components/schemas/weight_unit"
          },
          "weight": {
            "$ref": "#/components/schemas/weight"
          }
        },
        "type": "object"
      },
      "cart_loyalty_rewards_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "coupon_code": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "details": {
            "type": "string"
          },
          "points": {
            "format": "int64",
            "type": "integer"
          },
          "source": {
            "type": "string"
          },
          "type": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "i_order_dynamic_content": {
        "properties": {
          "custom_fields": {
            "items": {
              "$ref": "#/components/schemas/i_custom_field_view"
            },
            "type": "array"
          },
          "eligible_payment_methods": {
            "items": {
              "$ref": "#/components/schemas/eligible_payment_method"
            },
            "type": "array"
          },
          "gift_option_view": {
            "$ref": "#/components/schemas/i_gift_option_view"
          },
          "hide_apm": {
            "items": {
              "enum": [
                "PAYPAL",
                "AFFIRM",
                "AFTERPAY",
                "AMAZONPAY",
                "KLARNA",
                "RADIALPAYPAL",
                "SEZZLE",
                "RADIALKLARNA",
                "CREDOVA",
                "GOOGLEPAY"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "order_notice": {
            "type": "string"
          },
          "payment_notice": {
            "type": "string"
          },
          "shipping_info_notice": {
            "type": "string"
          },
          "shipping_notice": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "i_custom_field_view": {
        "properties": {
          "checkout_step": {
            "enum": [
              "SHIPPING_STEP",
              "DELIVERY_STEP",
              "PAYMENT_STEP",
              "ACCOUNT_REGISTRATION_SSO"
            ],
            "type": "string"
          },
          "dynamic": {
            "type": "boolean"
          },
          "context": {
            "enum": [
              "CHECKOUT",
              "SSO"
            ],
            "type": "string"
          },
          "external_id": {
            "type": "string"
          },
          "field_setup": {
            "type": "string"
          },
          "helper_text": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "position": {
            "format": "int64",
            "type": "number"
          },
          "public_id": {
            "type": "string"
          },
          "required": {
            "type": "boolean"
          },
          "subscribeToNewsletter": {
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "eligible_payment_method": {
        "properties": {
          "eligible": {
            "type": "boolean"
          },
          "transaction_processor_type": {
            "$ref": "#/components/schemas/payment_service"
          }
        },
        "type": "object"
      },
      "payment_service": {
        "enum": [
          "affirm",
          "afterpay",
          "amazon_pay",
          "credova",
          "klarna",
          "paypal",
          "sezzle",
          "radial_klarna",
          "radial_paypal",
          "adyen_gateway",
          "alliance_data",
          "authorize_net",
          "braintree",
          "cardconnect",
          "checkout_com",
          "cybersource",
          "first_data",
          "nmi",
          "orbital",
          "paypal_payflow",
          "radial",
          "rocketgate",
          "shopify_payments",
          "stripe",
          "magentopayment",
          "adyen_payfac",
          "vantiv",
          "google_pay",
          "bolt"
        ],
        "type": "string"
      },
      "i_gift_option_view": {
        "properties": {
          "hide_gift_message": {
            "type": "boolean"
          },
          "hide_gift_wrap": {
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "order_external_data_view": {
        "properties": {
          "shopify": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "refund_transactions_view": {
        "description": "**Nullable** for Transactions Details.\n",
        "items": {
          "$ref": "#/components/schemas/transaction_view"
        },
        "type": "array"
      },
      "transaction_timeline_view": {
        "properties": {
          "address_change": {
            "$ref": "#/components/schemas/address_change_view"
          },
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "consumer": {
            "$ref": "#/components/schemas/consumer_summary_view"
          },
          "date": {
            "type": "number"
          },
          "note": {
            "type": "string"
          },
          "review": {
            "$ref": "#/components/schemas/transaction_review_view"
          },
          "transaction": {
            "$ref": "#/components/schemas/transaction_view"
          },
          "type": {
            "enum": [
              "completed",
              "authorized",
              "review",
              "note",
              "voided",
              "captured",
              "credited",
              "address_change"
            ],
            "type": "string"
          },
          "visibility": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "address_change_view": {
        "properties": {
          "from_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "status": {
            "type": "string"
          },
          "ticket_id": {
            "type": "string"
          },
          "timestamp": {
            "format": "int64",
            "type": "number"
          },
          "to_address": {
            "$ref": "#/components/schemas/address_view"
          }
        },
        "type": "object"
      },
      "transaction_review_view": {
        "properties": {
          "date": {
            "format": "int64",
            "type": "number"
          },
          "decision": {
            "type": "string"
          },
          "risk_model_result": {
            "$ref": "#/components/schemas/risk_model_result_view"
          },
          "source": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "risk_model_result_view": {
        "properties": {
          "contribution": {
            "items": {
              "$ref": "#/components/schemas/risk_model_resul_contribution_view"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "risk_model_resul_contribution_view": {
        "properties": {
          "category": {
            "type": "string"
          },
          "weight": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "auth_rejection_details_view": {
        "properties": {
          "reason_code": {
            "type": "string"
          },
          "reason_description": {
            "type": "string"
          }
        },
        "required": [
          "reason_description"
        ],
        "type": "object"
      },
      "errors_bolt_api_response": {
        "properties": {
          "errors": {
            "$ref": "#/components/schemas/errors_bolt_api"
          },
          "result": {
            "$ref": "#/components/schemas/request_result"
          }
        },
        "type": "object"
      },
      "errors_bolt_api": {
        "items": {
          "$ref": "#/components/schemas/error_bolt_api"
        },
        "type": "array"
      },
      "error_bolt_api": {
        "properties": {
          "code": {
            "$ref": "#/components/schemas/code"
          },
          "message": {
            "$ref": "#/components/schemas/message"
          }
        },
        "type": "object",
        "description": "Error object containing custom error information"
      },
      "code": {
        "description": "Custom-defined Bolt error code. This can be used to programmatically react to specific errors.",
        "format": "int64",
        "type": "integer",
        "examples": [
          2001005
        ]
      },
      "message": {
        "description": "Human-readable description of the error for developers. Should not be shown to users and is not localized.",
        "type": "string",
        "examples": [
          "The input is missing a required parameter."
        ]
      },
      "request_result": {
        "description": "Custom-defined Bolt result object.",
        "properties": {
          "success": {
            "$ref": "#/components/schemas/request_failed"
          }
        },
        "type": "object"
      },
      "request_failed": {
        "type": "boolean",
        "description": "Indicates that the request failed. This value is always false.",
        "examples": [
          false
        ]
      }
    },
    "responses": {
      "transaction_review_error_403": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      },
      "transaction_review_error_404": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "The requested entity was not found. transaction_id not found"
      },
      "transaction_review_error_422": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      }
    },
    "securitySchemes": {
      "OAuth": {
        "description": "Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.\nFor all APIs that require authorization, please provide your `access_token` returned from `/v1/oauth/token` via the basic auth bearer header `Authorization: bearer ${TOKEN}`.\n[Read more about the OAuth token endpoint.](/api-bolt/#tag/OAuth)\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://api.boltapp.com/v1/oauth/authorize",
            "refreshUrl": "https://api.boltapp.com/v1/oauth/token",
            "scopes": {
              "bolt.account.manage": "This scope grants permissions to perform read/edit/delete actions on Bolt Account data",
              "bolt.account.view": "This scope grants permissions to perform read only actions on Bolt Account data",
              "openid": "This scope grants permissions that enable Bolt SSO by granting an id token JWT that stores account data. Not used in v1/account endpoints"
            },
            "tokenUrl": "https://api.boltapp.com/v1/oauth/token"
          }
        },
        "type": "oauth2"
      },
      "X-API-Key": {
        "description": "Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.",
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
